import React from "react";


export type CheckboxProp = {
    children?: React.ReactNode
    checked?: boolean
    onChange?: (checked: boolean) => void
}
const Checkbox: React.FC<CheckboxProp> = (props) => {
    return (<label className="checkbox-wrapper">
        <span className="checkbox">
            <input checked={props.checked} onClick={e => {
                props.onChange && props.onChange(e.currentTarget.checked)
            }} className="checkbox-input" type="checkbox"/>
            <span className="checkbox-inner"></span>
        </span>
        <span>{props.children}</span>
    </label>)
}
export default Checkbox;