import {get, post} from "./request";

export type UserModel = {
    token: string;
    username: string;
    account: string;
    avatar: string;
    vip: number;
}

export function login(data: any) {
    return post<UserModel>('/api/user/login', data)
}

export function info() {
    const token = localStorage.getItem(APP_CONFIG.LOGIN_TOKEN_KEY)
    return post<UserModel>('/api/user/info', {token})
}

export function sendCode(phone: string) {
    return post('/api/sendCode', {phone})
}

export function sendChat(message: string) {
    return post<{
        body: any, content: string
    }>('/api/chat', {message})
}