const hasOwn = {}.hasOwnProperty;

function classNames(...names: any[]) {
    const list: string[] = [];
    names.forEach(props => {
        if(!props) return;
        const argType = typeof props;
        if (argType === 'string') {
            list.push(props)
        } else if (Array.isArray(props)) {
            if (props.length) {
                const inner = classNames.apply(null, props);
                if (inner) {
                    list.push(inner);
                }
            }
        } else if (argType === 'object') {
            if (props.className) {
                if (typeof props.className === "string") {
                    list.push(props.className);
                } else if (Array.isArray(props.className)) {
                    list.push(...props.className)
                } else {
                    for (let cls in props.className) {
                        list.push(cls)
                    }
                }
            } else {
                for (let key in props) {
                    if (hasOwn.call(props, key) && props[key]) {
                        list.push(key);
                    }
                }
            }
        }
    })
    return list.join(' ');
}

export default classNames