const defaultDesignRatio: any = {
    350: 5,
    640: 9,
    750: 10,
    828: 11.5
};

// 默认参数


function toFixed(number: number, precision: number) {
    const multiplier = Math.pow(10, precision + 1),
        wholeNumber = Math.floor(number * multiplier)
    return Math.round(wholeNumber / 10) * 10 / multiplier
}


export function pxTransform(size: number, designWidth = 750) {
    const config = {
        viewportWidth: designWidth,
        unitPrecision: defaultDesignRatio[designWidth] || 10,
        viewportUnit: 'vw',
        minPixelValue: 1
    }
    if (size <= config.minPixelValue) return size + config.viewportUnit
    return toFixed((size / config.viewportWidth * 100), config.unitPrecision) + config.viewportUnit;
}