import React, {useEffect} from "react";

type refType = React.RefObject<HTMLElement | undefined>;
export default function useOnClickOutside(ref: refType, callback: () => void) {
    function clickHandler(event: any) {
        if (!ref.current?.contains(event.target)) {
            callback()
        }
    }

    useEffect(() => {
        document.documentElement.addEventListener('click', clickHandler)
        return () => document.documentElement.removeEventListener('click', clickHandler)
    }, [ref, callback])
}