/// <reference types="vite/client" />
interface IAppConfigItem {
    CLIENT_ID: string
    SECRET: string
    API_PREFIX: string
    /**
     * 部署目录
     */
    DEPLOY_DIR?: string
    /**
     * 静态资源目录
     */
    PUBLIC_PATH?: string
    LOGIN_TOKEN_KEY: string
}

type IAPP_ENV = 'development' | 'test' | 'production'
type IAppConfig = {
    [key in IAPP_ENV]: IAppConfigItem;
};
// 常量配置类型
declare const APP_ENV: IAPP_ENV;
declare const APP_CONFIG: IAppConfigItem;