import {defineConfig} from 'vite'
import react from '@vitejs/plugin-react'
import {viteMockServe} from 'vite-plugin-mock'
import {fileURLToPath} from 'node:url';
// @ts-ignore
import AppConfig from "./config";

const APP_ENV = process.env.NODE_ENV || 'development';
const APP_CONFIG = AppConfig[APP_ENV]

// https://vitejs.dev/config/
export default defineConfig({
    define: {
        APP_CONFIG
    },
    plugins: [
        react(),
        viteMockServe({
            mockPath: './mocks',
            watchFiles: true, // 监听文件内容变更
            logger: true
        })
    ],
    base: APP_CONFIG.PUBLIC_PATH,
    resolve: {
        alias: {
            '@': fileURLToPath(new URL('./src', import.meta.url))
        }
    }
})
